Upstream information

CVE-2016-1670 at MITRE

Description

Race condition in the ResourceDispatcherHostImpl::BeginRequest function in content/browser/loader/resource_dispatcher_host_impl.cc in Google Chrome before 50.0.2661.102 allows remote attackers to make arbitrary HTTP requests by leveraging access to a renderer process and reusing a request ID.

SUSE information

Overall state of this security issue: Does not affect SUSE products

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 2.6 4.3
Vector AV:N/AC:H/Au:N/C:N/I:P/A:N AV:N/AC:M/Au:N/C:P/I:N/A:N
Access Vector Network Network
Access Complexity High Medium
Authentication None None
Confidentiality Impact None Partial
Integrity Impact Partial None
Availability Impact None None
CVSS v3 Scores
  National Vulnerability Database
Base Score 5.3
Vector AV:N/AC:H/PR:N/UI:R/S:U/C:N/I:H/A:N
Access Vector Network
Access Complexity High
Privileges Required None
User Interaction Required
Scope Unchanged
Confidentiality Impact None
Integrity Impact High
Availability Impact None
SUSE Bugzilla entry: 979859 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
openSUSE 13.1
  • chromedriver >= 51.0.2704.103-147.1
  • chromedriver-debuginfo >= 51.0.2704.103-147.1
  • chromium >= 51.0.2704.103-147.1
  • chromium-debuginfo >= 51.0.2704.103-147.1
  • chromium-debugsource >= 51.0.2704.103-147.1
  • chromium-desktop-gnome >= 51.0.2704.103-147.1
  • chromium-desktop-kde >= 51.0.2704.103-147.1
  • chromium-ffmpegsumo >= 51.0.2704.103-147.1
  • chromium-ffmpegsumo-debuginfo >= 51.0.2704.103-147.1
Patchnames:
2016-756
openSUSE Leap 42.1
  • chromedriver >= 50.0.2661.102-48.1
  • chromedriver-debuginfo >= 50.0.2661.102-48.1
  • chromium >= 50.0.2661.102-48.1
  • chromium-debuginfo >= 50.0.2661.102-48.1
  • chromium-debugsource >= 50.0.2661.102-48.1
  • chromium-desktop-gnome >= 50.0.2661.102-48.1
  • chromium-desktop-kde >= 50.0.2661.102-48.1
  • chromium-ffmpegsumo >= 50.0.2661.102-48.1
  • chromium-ffmpegsumo-debuginfo >= 50.0.2661.102-48.1
Patchnames:
openSUSE-2016-584
openSUSE Tumbleweed
  • chromedriver >= 55.0.2883.75-3.1
  • chromium >= 55.0.2883.75-3.1
Patchnames:
openSUSE Tumbleweed GA chromedriver